Subject: Re: e2fsprogs
From: "Gerrit P. Haase" <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: cygwin <[email-masked]>
Date: Fri, 3 Sep 2004 16:55:48 +0200

Hallo Reini,

Am Montag, 30. August 2004 um 08:13 schriebst du:

> Gerrit P. Haase schrieb:
>>>$ export tooldir=/usr/i686-pc-mingw32
>>>$ ls -ld ${tooldir}/../lib/w32api
>>>drwxrwxr-x+   2 Administ SYSTEM          0 Jul 30 17:25
>>>/usr/i686-pc-mingw32/../lib/w32api/
>>>$
>> 
>>>To the OP: your problem may potentially be that you're missing the
>>>/usr/lib mount.  However, since you didn't follow the Cygwin problem
>>>reporting guidelines at <http://cygwin.com/problems.html>, and didn't
>>>attach the output of "cygcheck -svr" to your report, the above is just a
>>>WAG.

> my /usr/lib mount works okay,
> my latest -mno-cygwin linking after upgrading gcc fail also,
>    (I do that automatically with a cronjob and didn't have a look,
>     since only the xvidcore/dshow build failed)
> but I think it's just missing the libuuid. at least for me.

> I have the -luuid together with the other w32api libs,
>    -lwinmm -lole32 -loleaut32 -lcomctl32
> just for the libuuid symbols get "I more undefined references to 
> `_GUID_NULL'" _IID_IUnknown, _IID_IPropertyPagem, _IID_IPersist, ...

> And what do I find?
> there's a new /usr/lib/libuuid.a which takes precedence over 
> /usr/lib/w32api/libuuid.a
> therefore my uuid symbols don't get found.

> $ cygcheck -f /usr/lib/libuuid.a
> e2fsprogs-1.35-1

> aha, the culprit!
> please de-install all e2fsprogs, then it will work.

> efsprog maintainer: please move this to your subdir 
> /usr/lib/efsprog/libuuid.a

Thats it, thank you for the analysis, I just thought all the time
after the thread, why are all libraries found, but uuid isn't?
I remember now that I also have e2fsprogs installed and libwin32
failis for me with exactly the same error.

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/